org.deidentifier.arx.certificate.resources

## Class Watermark

- java.lang.Object
- - org.deidentifier.arx.certificate.resources.Watermark

    public class Watermark
    extends java.lang.Object

Class for accessing the water mark

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`Watermark(org.apache.pdfbox.pdmodel.PDDocument document)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mark(org.apache.pdfbox.pdmodel.PDDocument document)` Marks the document

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Watermark

    public Watermark(org.apache.pdfbox.pdmodel.PDDocument document)
              throws java.io.IOException

Creates a new instance

Parameters:
  `document` -
Throws:
  `java.io.IOException`

### Method Detail

#### mark

    public void mark(org.apache.pdfbox.pdmodel.PDDocument document)
              throws java.io.IOException

Marks the document

Parameters:
  `document` -
Throws:
  `java.io.IOException`